%global commit 255c1cfd3c9b648caf1139d1be268514898ffee0
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global owner seandepagnier
%global project rtlsdr_pi
%global plugin rtlsdr

Name: opencpn-plugin-%{plugin}
Summary: RTL-SDR plugin for OpenCPN
Version: 1.2
Release: 1.%{shortcommit}%{?dist}
License: GPLv2+

Source0: https://github.com/%{owner}/%{project}/archive/%{commit}/%{project}-%{shortcommit}.tar.gz

BuildRequires: bzip2-devel
BuildRequires: cmake
BuildRequires: gettext
BuildRequires: rtl-sdr-devel
BuildRequires: tinyxml-devel
BuildRequires: wxGTK3-devel
BuildRequires: zlib-devel

Requires: opencpn%{_isa}
Enhances: opencpn%{_isa}

%description
The RTL-SDR Plugin for OpenCPN allows selected digital TV dongles to
be used as a cheap AIS receiver.

%prep
%autosetup -n %{project}-%{commit}

sed -i -e s'/SET(PREFIX_LIB lib)/SET(PREFIX_LIB %{_lib})/' cmake/PluginInstall.cmake

mkdir build

%build

cd build
%cmake -DBUILD_SHARED_LIBS:BOOL=OFF ..
%make_build

%install

cd build
mkdir -p %{buildroot}%{_bindir}
%make_install

%find_lang opencpn-%{plugin}_pi

%files -f build/opencpn-%{plugin}_pi.lang

%{_libdir}/opencpn/lib%{plugin}_pi.so
